%define module 	Email-Find
%define version 0.10
%define release %mkrel 3

Summary:	Email-Find perl module
Name: 		perl-%{module}
Version: 	%{version}
Release: 	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Url:		http://www.cpan.org
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Email/%{module}-%{version}.tar.bz2
BuildRequires:	perl-devel >= 0:5.600
BuildRequires:	perl-Email-Valid
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildArch:	noarch

%description
Email::Find is a module for finding a *subset* of RFC 822 email
addresses in arbitrary text (see the section on "CAVEATS"). The
addresses it finds are not guaranteed to exist or even actually be email
addresses at all (see the section on "CAVEATS"), but they will be valid
RFC 822 syntax.

Email::Find will perform some heuristics to avoid some of the more
obvious red herrings and false addresses, but there's only so much which
can be done without a human.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README Changes
%{perl_vendorlib}/Email/Find*
%{_mandir}/*/*




%changelog
* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.10-3mdv2009.0
+ Revision: 256753
- rebuild

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 0.10-1mdv2008.1
+ Revision: 135833
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Thu Feb 01 2007 Stefan van der Eijk <stefan@mandriva.org> 0.10-1mdv2007.0
+ Revision: 115814
- 0.10

* Thu Nov 16 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.09-3mdv2007.1
+ Revision: 84635
- Import perl-Email-Find

* Sun Feb 05 2006 Stefan van der Eijk <stefan@eijk.nu> 0.09-3mdk
- Rebuild
- %%mkrel

* Mon Jan 17 2005 Stefan van der Eijk <stefan@mandrake.org> 0.09-2mdk
- yearly rebuild

